
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何实现高容量大并发数据库服务 | 数据库分布式架构设计 / iVAN</title>

    <meta name="description" content="如何实现高容量大并发数据库服务 | 数据库分布式架构设计 袋鼠学院和优云.阿里云联合举办的沙龙结束之后,总是有小伙伴们来问PPT内容,想要进一步了解Topic内容.(哦,对了对了,竟然还有小伙伴专门冲着袋鼠云去听沙龙,感动cry~~) 千呼万唤,忙成狗的袋鼠小妹终于把沙龙总结整理了出来(⊙o⊙) 本次沙龙的主题是&quot;云时代下的运维管理实践&quot;,受邀请的演讲嘉宾,花名宏翊(经常关注袋鼠云的同学,肯定已经对这个名字很熟悉了),是袋鼠云首席数据库架构师,袋鼠学院数据库讲师. 呼应沙龙运维实践的主题,结合自己的专长领域,宏翊主要是从数据库领域来 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何实现高容量大并发数据库服务 | 数据库分布式架构设计</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>袋鼠学院和优云、阿里云联合举办的沙龙结束之后，总是有小伙伴们来问PPT内容，想要进一步了解Topic内容。（哦，对了对了，竟然还有小伙伴专门冲着袋鼠云去听沙龙，感动cry~~）</p>
<p>千呼万唤，忙成狗的袋鼠小妹终于把沙龙总结整理了出来(⊙o⊙)</p>
<p>本次沙龙的主题是“云时代下的运维管理实践”，受邀请的演讲嘉宾，花名宏翊（经常关注袋鼠云的同学，肯定已经对这个名字很熟悉了），是袋鼠云首席数据库架构师，袋鼠学院数据库讲师。</p>
<p>呼应沙龙运维实践的主题，结合自己的专长领域，宏翊主要是从数据库领域来谈云时代下的运维管理该如何做，主题为“如何实现高容量大并发数据库服务？之数据库分布式架构设计”。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvUnNLdkRGV05JbHdldnVKckRpYTY5YzJCSWpSZVhUdUxUZTQzWDVpYm1Vd0xsaWNMTkZUSWlhRWhhZDF0akxPbnp2WWljc2hpY3c2SGVlVlgxa041NWtnQWlhWDNBLzY0MD93eF9mbXQ9cG5nJmFtcDt0cD13ZWJwJmFtcDt3eGZyb209NSZhbXA7d3hfbGF6eT0x.jpg"></p>
<p>为什么数据库需要做分布式架构设计？在对数据库进行拆分设计和实施时，会遇到哪些坑？又该如何避免踩坑？</p>
<p>袋鼠小妹结合宏翊的PPT和现场演讲，整理内容如下，希望和大家一起分享、探讨。</p>
<p>  <strong>摘要</strong></p>
<p>数据库拆分要根据业务现状、模式，选择合适的拆分方式，紧密结合业务及应用架构设计，谨慎拆分，防止过度设计。</p>
<p><strong>  正文</strong></p>
<p><strong>一</strong><strong>  为什么要做分布式数据库架构改造？</strong></p>
<p><strong><br /></strong></p>
<p>云计算大数据时代，传统的数据库架构已经无法支撑企业高容量的数据增长，满足高并发的业务需求。对企业数据库进行分布式架构设计，打破了数据库资源不够用的天花板的同时，还能根据企业业务发展状况，随时平滑扩容。</p>
<p><strong>二</strong><strong>  分布式数据库架构改造，如何做？</strong></p>
<p><strong><br /></strong></p>
<p><strong>数据库分布式改造要遵循“循序渐进”的拆分原则</strong></p>
<p>拆分方式有垂直拆分和水平拆分两种，选择拆分方式要根据企业自身业务发展需要。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvUnNLdkRGV05JbHppYjRoOThoWGM4aWI0aWM5bTJXVWdsYU9URUZSSUtlblVFNEFsVGZPbWJQOHpwU1NmWDBtZ3RtMng2SmJpYThxQWZjRExxOGx2allyaE93LzY0MD93eF9mbXQ9cG5nJmFtcDt0cD13ZWJwJmFtcDt3eGZyb209NSZhbXA7d3hfbGF6eT0x.jpg"></p>
<p>一般来说，是先做垂直拆分，再做水平拆分。</p>
<p>在单一数据节点无法满足业务和用户增长需求的情况下，需要做一个服务化，对业务进行垂直梳理，后面的数据节点可以放在不同的资源节点上，以提高数据服务的整体性能。</p>
<p>比如一个APP的业务数据，在业务初期阶段，是全部放在一个数据库节点中，在业务量和数据量快速增长的中期阶段，需要进行垂直梳理，根据业务逻辑，拆分成商品、交易、用户，并分别放在不同的数据库。</p>
<p>如果其中的一个服务已经拆的很细了，但还是有性能瓶颈，无法支撑我们的业务增长，数据库这块才需要再做水平拆分。</p>
<p>水平拆分就是将数据（比如图中APP的交易数据）拆成多片，放到不同的资源上，用一个集群来支撑更高的业务增长。</p>
<p>在拆分时，要谨慎，因为拆分会引入复杂性，能不做就不做，最优先是做业务和架构上的优化，最终才是做数据库拆分。</p>
<p>在拆分的过程中，不要做过度的设计，或者直接从初级跳到高级，这样做其实非常浪费资源，投入产出比也不好。</p>
<p><strong>三</strong><strong> 水平拆分的难点及解决方案</strong></p>
<p><strong><br /></strong></p>
<p>对企业数据库进行分布式改造，需要理解客户的业务逻辑、丰富的拆分经验积累。尤其是水平拆分，有系统复杂度高、技术挑战性强、稳定性控制难、具有一定局限性四大难点。</p>
<p>针对这些问题，宏翊给我们提供了两种解决方案。</p>
<ol>
<li><strong>客户端实现数据路由</strong></p>
<p>此方案不会引入额外的组件，架构上比较轻量，简单场景使用尚可，但稍复杂的场景会放大它的劣势，比如配置管理复杂等。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvUnNLdkRGV05JbHppYjRoOThoWGM4aWI0aWM5bTJXVWdsYU9nUnF6dG1JaWNOV0tTclBEWndnZ1pWZjFzdjlpYXZuOTFuWTFOU1Jvbk95WWFNM295Qkh3aWNEN0EvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></li>
<li><strong>数据库中间件</strong>
<p>中间件的使用最大限度地屏蔽了分布式数据库所引入的复杂性，极大降低了研发的门槛。最重要的是，有了数据库中间件，应用看到的还是单一的数据库。</li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvUnNLdkRGV05JbHppYjRoOThoWGM4aWI0aWM5bTJXVWdsYU9hcVNITzJhWFU2TGVlVlF3OHFvblZUOGxGTkhpYXFpYTZ6MkNYRkVHa1BzUDNqMUdXaWNlZDRIVkEvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p><strong>四</strong><strong>  水平切分原理及设计原则</strong></p>
<p>要对一个表做拆分，选择一个拆分字段，通过一个路由算法确定数据存放在哪个底层库。</p>
<p>比如下列数据选择MEMBE_ID作为拆分键，通过路由算法计算后得出’test1234‘相关的数据应该落在库1上，DRDS会把所有MEMBE_ID=‘test1234’相关的请求全都路由到库1。其他数据请求亦落到相应的底层库。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvUnNLdkRGV05JbHppYjRoOThoWGM4aWI0aWM5bTJXVWdsYU9nemliTFRDT2FpY1ppYmljUmQ1R1R3dDA2UXQ4d0ozalBoM3JwdDFLaWNBd3FyY3NMaWNwMTFQb1ZRMmcvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p><strong><br /></strong></p>
<p><strong>接下来，当数据已经放下去了，应该如何去查询、访问和变更？</strong></p>
<p>比如要查询一条记录，member_id=‘test1234’</p>
<p>它怎么去执行的呢？</p>
<p>首先计算一个hash值，当值等于某一个值，它会知道这个数据存储在哪一个库上，所以会直接路由到底层这个库，从这个库查询，返回结果。</p>
<p>中间件扮演的就是这个路由和计算的角色，性能非常强大。拆分后，各底层数据库数据量比较小，查询返回比较快；二是可以支持更高的并发，整体并发基本等于两个底层数据库实例并发之和。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvUnNLdkRGV05JbHdldnVKckRpYTY5YzJCSWpSZVhUdUxUOUFrcW54aWFYTzNWMXJsM0FFenBuUThoRkY1cjBxYUJzRWxBR29PdEFQWTdid2ZpY1ZIbDEzelEvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p><strong>五 </strong><strong> 来自阿里云的数据库中间件产品：DRDS</strong></p>
<p>数据库中间件产品中，有平民软件OneProxy等商业软件；也有MyCat等开源产品，宏翊为大家则介绍了一款广泛使用的成熟商业产品DRDS，并讲解了DRDS如何解决对数据库进行拆分时遇到的难点。</p>
<p><strong>DRDS</strong>，英文名Distributed Relational Database Service</p>
<p>是阿里巴巴自主研发致力于解决单机数据库服务瓶颈问题而推出的分布式数据库产品。 DRDS 高度兼容 MySQL 协议和语法、支持自动化水平拆分、平滑扩容、弹性扩展、透明读写分离、分布式事务、具备分布式数据库全生命周期的运维管控能力。DRDS前身为淘宝TDDL，是近千核心应用首选组件，已稳定服务8年以上。</p>
<p><strong>DRDS五大核心功能<br /></strong></p>
<ul>
<li><strong>分库分表</strong></li>
</ul>
<p>分库分表是DRDS的核心功能，DRDS 在后端将数据量较大的数据表水平拆分到后端的每个 RDS 数据库中，这些拆分到 RDS 中的数据库被称为分库，分库中的表称为分表。拆分后，每个分库负责每一份数据的读写操作，从而有效的分散了整体访问压力。在系统扩容时，只需要水平增加分库的数量，并且迁移相关数据，就可以提高 DRDS 系统的总体容量。DRDS 支持库级拆分，表级拆分和分库分表拆分，通过 DRDS DDL 语句指定。</p>
<p><strong><br /></strong></p>
<ul>
<li><strong>读写分离</strong></li>
</ul>
<p>在主实例的读请求较多、读压力比较大的时候，可以通过 DRDS 读写分离功能对读流量进行分流，减轻 RDS 主实例的读压力。</p>
<p>DRDS 的读写分离功能是对应用透明的设计。应用在不修改任何代码的情况下，只需要在 DRDS 控制台中调整读权重，即可将读流量按配置的比例在主 RDS 实例与多个 RDS 只读实例之间进行分流；写流量则全部到主实例，不做分流。</p>
<p>设置读写分离后，从主 RDS 实例读取的是强读，既实时强一致读，而只读实例上的数据是从主实例上异步复制的，存在毫秒级的延迟，因此从只读 RDS 实例读取的是弱读，属于非强一致性读。个别需要实时性、强一致性读的 SQL 可以通过 DRDS Hint 指定到主实例上执行。</p>
<ul>
<li><strong>全局唯一ID</strong></li>
</ul>
<p>DRDS 支持分布式全局唯一且有序递增的数字序列。满足业务在使用分布式数据库下对主键或者唯一键以及特定场景的需求。</p>
<ul>
<li><strong>小表广播</strong></li>
</ul>
<p>DRDS 将一些数据量小且更新频度不高的数据表存储为单表模式，这些数据表称为小表。通过数据同步将小表复制到与之 JOIN 的分库上进而提升 JOIN 效率的解决方案称为“小表广播”或者“小表复制”。支持查询引擎识别和下推复杂查询，兼容 98% MySQL 语法。</p>
<ul>
<li><strong>弹性扩容</strong></li>
</ul>
<p>当逻辑库对应的底层存储已经达到物理瓶颈，需要进行水平扩展，比如磁盘余量接近30%，那么可以通过平滑扩容来改善。平滑扩容是一种水平扩容方式，既把分库平滑迁移到新添加的底层存储上。在实现上是通过增加 RDS 实例的数量来提升总体数据存储容量，将分库迁移到新增的 RDS 实例，从而降低单个 RDS 实例的处理压力。</p>
<p><strong>六</strong><strong>  分布式改造之后——运维</strong></p>
<p>进行分布式改造之后，如何更省心省力对数据库进行运维？</p>
<p>靠人工？成本高、运维人员也难招！</p>
<p>借助袋鼠云开发的数据库自动化管理平台EasyDB，企业数据库运维很简单。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvUnNLdkRGV05JbHdldnVKckRpYTY5YzJCSWpSZVhUdUxUUnM3NGlhVUNYNzJsdXhJYVZEYzZmQmQyaWE5MGlhaWIzdnFuZ3JwYXozaWFsWDZhdk1mSzN2S01ZVHcvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p>EasyDB完全兼容DRDS manager，具有高可用、高性能、易运维等特点。从性能、资源、集群、备份、容灾入手，支持多种数据库实例，大规模量的数据库运维，提供稳定准确的数据库告警、大盘趋势分析预警、空间跟踪、SQL跟踪、巡检报告等功能。运维管理人员可以轻松应对复杂的日常管理事务及突发性事件，数据库管理从此变得有规划，有效率，有预见性。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 20:15:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/rds/" title="RDS">RDS</a>, <a href="https://www.iamivan.net/tag/drds/" title="DRDS">DRDS</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f%e6%95%b0%e6%8d%ae%e5%ba%93/" title="分布式数据库">分布式数据库</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8/" title="数据存储">数据存储</a>, <a href="https://www.iamivan.net/tag/%e4%b8%ad%e9%97%b4%e4%bb%b6/" title="中间件">中间件</a>, <a href="https://www.iamivan.net/tag/%e8%a2%8b%e9%bc%a0%e4%ba%91/" title="袋鼠云">袋鼠云</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f%e6%9e%b6%e6%9e%84/" title="分布式架构">分布式架构</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e8%8a%82%e7%82%b9/" title="数据节点">数据节点</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何实现高容量大并发数据库服务 | 数据库分布式架构设计的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4l8zv.html" rel="bookmark">&num;运维侠客行&CenterDot;杭州站&num;  如何实现高容量大并发数据库服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				运维侠客行杭州站·讲师 宏翊,袋鼠云首席架构师,袋鼠学院数据库讲师. 在2017运维侠客行·杭州站上,主办方优云软件特意邀请了来自袋鼠云的首席数据库架构师宏翊给大家带来了如何实现高容量大并发数据库服务.为什么数据库需要做分布式架构设计?在对数据库进行拆分设计和实施时,会遇到哪些坑?又该如何避免踩坑?一起来了解下吧. ▍摘要 数据库拆分要根据业务现状.模式,选择合适的拆分方式,紧密结合业务及应用架构设计,谨慎拆分,防止过度设计. ▍正文 一 为什么要做分布式数据库架构改造? 云计算大数据时代,传统			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKBeoM.html" rel="bookmark">数据库分布式架构巧设计，水平拆分不再难</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在阿里云生态日,袋鼠云首席数据库架构师赵晓宏分享了&lt;高容量大并发数据库服务--数据库分布式架构设计&gt;.他从分布式需求.拆分原则.拆分难点及解决方案.数据库规范设计.运维相关五个方面进行了分享.在分享中,他主要介绍了水平拆分的原则以及解决方案,分享了DRDS的架构与实践.   以下内容根据直播视频整理而成.   分布式需求 为什么要做分布式?首先是因为高并发,分布式应用带来更大量的数据库请求:高容量,业务增长,产生大量在线数据,关系型数据库要支持业务就要支持大数据量的存储:资源向上扩展存在天花板			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdR6E6b.html" rel="bookmark">【干货合集】大流量与高并发：数据库、架构与实践技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				峰会专题:https://yq.aliyun.com/activity/112 报名入口:http://yq.aliyun.com/webinar/join/49?spm=5176.8155509.437644.12.F2Xi5N 从2009年第一届双十一购物节到2015年双十一全天912.17亿元的交易额,&quot;双十一&quot;当天订单创建峰值增长了350倍(每秒14万笔),支付峰值 (每秒8.59万笔)增长了430倍.为了保证越来越多购物者的用户体验,在IT基础设施上,阿里一次又一次地遭遇并超			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkqDVb.html" rel="bookmark">Aliware推出应用配置管理大杀器，分布式架构下配置推送秒级生效！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,阿里中间件(Aliware)产品家族又推出了一款工具类产品--应用配置管理(ACM),它的主要功能是解决在分布式架构环境中,对应用配置进行集中管理和推送的问题. 用户通过ACM不仅可以在微服务.DevOps.大数据等场景下极大地减轻配置管理的工作量,而且配置信息可以自动推送到各个服务器中,并在秒级延迟内生效! 据ACM产品负责人介绍,在传统架构中,如果应用的配置信息需要变更,用户就要逐个登陆服务器并且手动修改配置.人工修改不仅实现效率低而且出错率高.ACM正解决了应用配置管理中集中化和智能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG3Eo6z.html" rel="bookmark">可扩展性数据库的架构设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				扩展性与硬件 随着系统的膨胀,硬件的可扩展性体现在增加资源,提高性能的能力上,如添加更多的处理器.内存等. 扩展性与软件 扩展性要求软件能够有效地利用硬件的能力,软件的设计应该支持并行计算.对于数据库引擎,这意味着服务器组件必须支持多线程计算,允许操作系统在所有处理器核心上执行并行任务调度.不仅如此,数据库引擎必须提供有效的方法,以在多核上分解工作负荷.举个例子,如果数据库只使用四个线程,那么它在四核处理器和八核处理器上允许,并不能体现出性能差异. 分布式设计 数据库引擎分割工作流,以充分利用硬			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKdvqb.html" rel="bookmark">架构设计 &vert; 互联网架构&OpenCurlyDoubleQuote;高并发&rdquo;究竟是啥</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.什么是高并发 高并发(High Concurrency)是互联网分布式系统架构设计中必须考虑的因素之一,它通常是指:通过设计保证系统能够同时并行处理很多请求. 高并发相关常用的一些指标: 响应时间(Response Time):系统对请求做出响应的时间.例如系统处理一个HTTP请求需要200ms,这个200ms就是系统的响应时间. 吞吐量(Throughput):单位时间内处理的请求数量. QPS(Quety Per Second):每秒响应请求数.在互联网领域,这个指标和吞吐量区分的没有这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYaAoM.html" rel="bookmark">阿里云数据库，破解大型网站架构设计中的数据存储难题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:3月10日,2017阿里云网站行业热点问题和解决方案线下研讨会在上海举行.在本次研讨会上,阿里云数据库团队产品专家王义成(花名挚尤)针对于大型网站的数据库架构设计以及阿里云ApsaraDB所提供的服务管理和解决方案进行了深入介绍. 分享者简介:王义成(花名挚尤),阿里云数据库团队产品专家,负责阿里云NoSQL数据库的产品规划.加入阿里巴巴近5年的时间,参与过多种云数据库的产品设计工作.目前主要负责阿里云的MongoDB.Redis以及MemCache产品,旨在为广大客户提供安全可靠的数据库			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3eXkz.html" rel="bookmark">阿里云数据库专家田英鹤：云数据库系统容灾架构设计和实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				8月30-31日20:00-21:30,一场别开生面的技术大会-- &quot;蚂蚁金服&amp;阿里云在线金融技术峰会&quot;将在线举办.本次将聚焦数据库.应用架构.移动开发.机器学习等热门领域,帮助金融业技术开发者深入解析互联网应用的前沿应用与技术实践. 蚂蚁金服&amp;阿里云在线金融技术峰会专题:https://yq.aliyun.com/activity/109 峰会统一报名链接:http://yq.aliyun.com/webinar/join/38 来自阿里云的技术专家田英鹤(花名:喜乐			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDw9xlp.html" rel="bookmark">大数据量高并发的数据库优化详解&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果不能设计一个合理的数据库模型,不仅会增加客户端和服务器段程序的编程和维护的难度,而且将会影响系统实际运行的性能.所以,在一个系统开始实施之前,完备的数据库模型的设计是必须的. 一.数据库结构的设计 在一个系统分析.设计阶段,因为数据量较小,负荷较低.我们往往只注意到功能的实现,而很难注意到性能的薄弱之处,等到系统投入实际运行一段时间后,才发现系统的性能在降低,这时再来考虑提高系统性能则要花费更多的人力物力,而整个系统也不可避免的形成了一个打补丁工程. 所以在考虑整个系统的流程的时候,我们必须			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvXlAz.html" rel="bookmark" class="title">一段ADSI和EXCHANGE结合的示范代码</a>
					<div>
						在独孤九剑兄的帮助下,完成了这段代码 包括NT用户的建立,EXCHANGE邮箱的建立,两者的结合,权限的设置 本代码在nt4.0+sp6+exchange5.5+adsi2.5下运行通过 建立以后的用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnVmAp.html" rel="bookmark" class="title">Photoshop打造精美光亮效果流线字</a>
					<div>
						先用钢笔工具勾出流畅的曲线,然后描边路径,再用画笔根据路径装饰一下高光背景,最后把曲线复制并模糊变形即可. Photoshop打造精美光亮效果流线字.思路:先用钢笔工具勾出流畅的曲线,然后描边路径,再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBJJob.html" rel="bookmark" class="title">C&plus;&plus;：随机数生成器&lpar;random-number generator&rpar; 详解</a>
					<div>
						随机数, C语言的函数是rand(), C++则是随机数生成器(random-number generator) = 分布对象(distribution object) + 引擎(engine); 使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Z42b.html" rel="bookmark" class="title">Oracle中如何使用SQL&lowbar;TRACE进行数据库诊断</a>
					<div>
						SQL_TRACE是Oracle提供的用于进行SQL跟踪的手段,是强有力的辅助诊断工具.在日常的数据库问题诊断和解决中,SQL_TRACE是非常常用的方法. 本文就SQL_TRACE的使用作简单探讨, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPr10z.html" rel="bookmark" class="title">用drbd实现node间数据同步复制及脑裂修复</a>
					<div>
						Distributed Replicated Block Device(DRBD)是一个用软件实现的.无共享的.服务器之间镜像块设备内容的存储复制解决方案. 数据镜像:实时.透明.同步(所有服务器都成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Kjab.html" rel="bookmark" class="title">Windows 7窗口快速切换 玩转绚丽界面</a>
					<div>
						用户在使用电脑的过程中,会不知不觉的打开很多的程序.作为微软新一代操 作系统,Windows7有着更为优越的性能和绚丽的界面效果,在快捷键的操作应用 方面有更精妙的设计,在切换窗口时,传统的Alt+T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAakRXM.html" rel="bookmark" class="title">Flash cs3仿真艺术设计5&period;11：导入PSD文件</a>
					<div>
						5.11 PSD导入(JIB JAB) 在Flash cs3中一个非常酷的特色是导入 PSD.你现在已经有能力直接将PSD导入flash中了.这是一个巨大的工作改进,是 一个伟大的特色,它将Photo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PDoAM.html" rel="bookmark" class="title">PS文字投影效果怎么弄？</a>
					<div>
						  PS文字投影效果怎么弄?          一.准备好你的photoshop 第1步 创建一个新的750 X 750像素的文档,并填充背景的颜色#cf3f30. 第2步 设置前景色为#e74c3c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jL84b.html" rel="bookmark" class="title">谷歌拼音怎样删除不需要的输入法</a>
					<div>
						对于很多用户来说,只需要一个输入法一般就可以满足日常需要了.为了更加方便高效地使用,您可以把自己不常用的输入法暂时删除掉,只保留一个自己最常用的输入法即可.要删除不需要的输入法,或者将某输入法重新添加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOeKYb.html" rel="bookmark" class="title">ps制作水纹效果教程</a>
					<div>
						  效果图: 1. 新建文件:400*400,背景为白色.然后新建图层. 2. 设置前景色为绿色(参考值:#51A9A1),用椭圆选框工具,绘制一个椭圆选区,填充前景色. 3. 选择---修改---收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M628VOM.html" rel="bookmark" class="title">在Word2010文档中取消超链接</a>
					<div>
						在Word2010文档中取消超链接的方法如下所述:打开Word2010文档窗口,右键单击带有超链接的文本或图片任意位置,在打开的快捷菜单中选择&quot;取消超链接&quot;命令即可,如图1所示.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk08Zb.html" rel="bookmark" class="title">Word2003怎样恢复菜单栏</a>
					<div>
						  通过前面对Word2003操作界面的介绍,我们可以知道菜单栏的作用巨大,要是它不见了,那么我们有很多事情都无法完成.相信大家都遇到菜单栏突然不见的情况,如果你是一个电脑盲,那么小编下面的方法就会为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYLk0M.html" rel="bookmark" class="title">在线视频怎么下载</a>
					<div>
						当今是网络的世界了,大家都喜欢从网上观看在线视频,但是有时候你可能想将其下载到本地进行观看,这是我们可以借助一些工具来实现,其实有一个更简单的方法,不需要任何的软件就可以轻松将视频保存下来,就让我们一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z3xVb.html" rel="bookmark" class="title">数据-MFCpicture控件绘图如何实现控件大小不变，绘制的波形图放大缩小呢，求代码</a>
					<div>
						问题描述 MFCpicture控件绘图如何实现控件大小不变,绘制的波形图放大缩小呢,求代码 5C 我接收到的串口数据绘制成波形图,现在想要实现波形图的放大缩小,功能,不知如何下手,希望得到帮助 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8w4ab.html" rel="bookmark" class="title">这个存储过程怎么写，急</a>
					<div>
						问题描述 总共有三个表A,B,C我对A表的某列求和,B表的某列求和,得到两个值,在此两个值上再求和,然后用这个结果去更新C表的某列-------怎么写存储过程? 解决方案 解决方案二:declare@ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqNZ3b.html" rel="bookmark" class="title">java-为什么我的swing运行的时候总是出现很多种不稳定的显示情况</a>
					<div>
						问题描述 为什么我的swing运行的时候总是出现很多种不稳定的显示情况 为什么我的代码运行的时候总是出现很多种不稳定的显示情况,我是用swing 写的一个JFrame,用的borderlaout布局, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6YnOb.html" rel="bookmark" class="title">SQL应用与开发：（六）函数和表达式的使用</a>
					<div>
						在前面几篇博文中已经介绍了许多与表有关的操作.为了演示SQL的不同组件,前面讨论了创建表.基于表的视图.查询表.修改表的数据以及表的关系等.在接下来的博文中将继续介绍SQL中的函数和表达式的使用,重点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamYQqb.html" rel="bookmark" class="title">TCL与DuerOS达成战略合作，一口气发三大系列「人工智能」电视</a>
					<div>
						作为目前世界上规模和影响力最大的国际视听及消费类电子产品展览会之一,IFA每年肯定都少不了家电巨头的戏份,TCL就是其中之一. TCL展台现场 在柏林展览馆21B馆一进门,就能看见TCL的展台,今年T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQPJOp.html" rel="bookmark" class="title">Java加密技术（一）&mdash;&mdash;BASE64与单向加密算法MD5&amp;amp&semi;amp&semi;SHA&amp;amp&semi;amp&semi;MAC</a>
					<div>
						 加密解密,曾经是我一个毕业设计的重要组件.在工作了多年以后回想当时那个加密.解密算法,实在是太单纯了.     言归正传,这里我们主要描述Java已经实现的一些加密解密算法,最后介绍数字证书.    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxomkb.html" rel="bookmark" class="title">为什么drop table 后数据还存在在数据字典中（10g  回收站已关闭）</a>
					<div>
						问题描述 为什么drop table 后数据还存在在数据字典中(10g 回收站已关闭) 为什么drop table 后数据还存在在数据字典中(10g 回收站已关闭)?是否有等待?如何证明有堵塞?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6kg0b.html" rel="bookmark" class="title">思科产品再现0Day漏洞CVE-2016-6366 他们用&OpenCurlyDoubleQuote;影子经纪人&rdquo;泄露的程序 自己发现了EXTRABACON</a>
					<div>
						NSA方程式组织被&quot;影子经纪人&quot;攻击后泄露出来的漏洞利用程序余威犹在,思科在进一步分析这些受影响产品后,发现了另一个零日漏洞0day漏洞并将该信息通报给了客户.该漏洞在CVE库中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAXvaM.html" rel="bookmark" class="title">datagridview-Datagridview 添加下拉框</a>
					<div>
						问题描述 Datagridview 添加下拉框 Datagridview中已经绑定了数据源ds.Tables[0],想对某些列设置下拉框选项,具体问题如下:主要代码: Column1.DataSour ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3LBZz.html" rel="bookmark" class="title">基于业务流程的制造云服务组合模型</a>
					<div>
						基于业务流程的制造云服务组合模型 赵秋云 魏乐 舒红平 为了提高云制造系统中制造云服务的组合成功率,实现组合云服务与用户业务需求的准确匹配,在对制造云服务.流程节点任务.云服务的可组合性和流程匹配进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmQ43M.html" rel="bookmark" class="title">Windows 7不能开机&OpenCurlyDoubleQuote;正在启动界面安全模式卡在disk&period;sys&rdquo;</a>
					<div>
						预装Windows 8或者Linux系统改装Windows 7时会出现卡在正在启动Windows界面或者安全模式卡在加载disk.sys界面. 正常启动如下图: 安全模式下如图: 此类问题大部分都是由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK62Ap.html" rel="bookmark" class="title">linux下bluetooth编程（一）基础概念</a>
					<div>
						  一:Bluetooth基本概念:   Bluetooth是爱立信.诺基亚.东芝.IBM和Intel 5家公司在1998年联合推出的一项无线网络技术.其宗旨是提供一种短距离.低成本的无线传输应用技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw8xdM.html" rel="bookmark" class="title">在web 里面 添加 open flash chart 使用。</a>
					<div>
						open flash chart 是一个不错的图表展示的.只要传送 json 数据就可以展示图片.   flash 在这方面很强.   下载地址:   http://sourceforge.net/p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLoEnM.html" rel="bookmark" class="title">快递公司DDS员工和客户堵路讨薪近2小时</a>
					<div>
						近200人堵住广园快速路黄村立交处讨欠薪,持续近2小时 本报讯 (记者 张昊) DDS快递公司员工客户又堵路了.受DDS快递公司倒闭风波影响,昨日上午9时许,近200名DDS快递公司的员工和客户聚集在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgD44M.html" rel="bookmark" class="title">在改善编程语言方面Google都有哪些贡献？</a>
					<div>
						        文章来源:http://www.pixelstech.net/article/1392996968-What-has-Google-done-on-improving-programm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY49Jb.html" rel="bookmark" class="title">在PHP中使用与Perl兼容的正则表达式</a>
					<div>
						前言     PHP被大量的应用于Web的后台CGI开发,通常是在用户数据数据之后得出某种结果,但是如果用户输入的数据不正确,就会出现问题,比如说某人的生日是&quot;2月30日&quot;!那应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Koab.html" rel="bookmark" class="title">Glances工具监控Linux VPS服务器资源状态的方法</a>
					<div>
						第一.Glances网站  代码如下 复制代码 工具地址:https://github.com/nicolargo/glances 如果我们需要在Linux VPS服务器中安装Glances工具,那需 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
